{% if error %}
    <div class="alert alert-warning" role="alert">
        <h4 class="alert-heading">{{ titulo }}</h4>
        <p>{{ subtitulo }}</p>
        <hr>
        <p class="mb-0">{{ mensaje }}</p>
    </div>    
{% else %}
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="col">
                <h4>{{ title }}</h4><hr>
            </div>
        </div>
        <div class="row">
            <div class="col-10">
                <input type="hidden" name="url_ajax" id="url_ajax" value="{{url_ajax}}" />
            </div>
            <div class="col-12 text-right">

            </div>
        </div>
        <div class="row">
            <div class="col-12">
                &nbsp;
            </div>
        </div>        
        <div class="row">
            <div class="col-12">
                <form id="formSolicitudDeDocente" name="formSolicitudDeDocente" method="post" action="" onsubmit="return false;">                                
                    {#Inicio del formulario#}
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputCicloSolicitudConstruccion">ID DE REGISTRO</label></font>
                            <input class="form-control" type="text" name="inputTxtCodigo" disabled value="{{ objDocente.id }}"/>
                        </div>
                    </div>
                    <br>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtName">Nombres</label></font>
                            <input class="form-control" type="text" id="inputTxtName" name="inputTxtName" maxlength="25" minlength="2" onkeypress="return soloLetras(event)" required="required" value="{{ objDocente.chr_first_name}}"/>
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtApellido">Apellidos</label></font>
                            <input class="form-control" type="text" id="inputTxtApellido" name="inputTxtApellido" maxlength="25" minlength="2" onkeypress="return soloLetras(event)" required="required" value="{{ objDocente.chr_last_name }}"/>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtDNI">DNI</label></font>
                            <input class="form-control" type="number" id="inputTxtDNI" name="inputTxtDNI" maxlength="8" minlength="8"  required="required" value="{{ objDocente.int_dni}}"/>
                        </div>
                        <div class="form-group col-md-6">
                             <font size='3'>  <label for="inputTxtFechaDeNacimiento">Fecha de nacimiento</label></font>
                            <input class="form-control" type="date" min="1955-01-01" max="2002-12-31"  id="inputTxtFechaDeNacimiento" name="inputTxtFechaDeNacimiento" required="required" value="{{ objDocente.chr_fecha_nacimiento}}"/>
                        </div>                        
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtcorreo">Correo</label></font>
                            <input class="form-control" type="email" id="inputTxtcorreo" name="inputTxtcorreo"  required="required" value="{{ objDocente.chr_correo}}"/>
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtcelular">Numero de celular</label></font>
                            <input class="form-control" type="number" id="inputTxtcelular" name="inputTxtcelular" maxlength="9" minlength="9"  required="required" value="{{ objDocente.int_celular}}"/>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'> <label for="inputTxtDisponibilidad">Disponibilidad del docente</label></font>
                            <select required="required" id="inputTxtDisponibilidad" name="inputTxtDisponibilidad" class="form-control">
                                <option value="">[ Seleccione la disponibilidad ]</option>
                                {% if disponibles |length > 0 %}
                                    {% for disponibble in disponibles  %}
                                        {%if disponibble == objDocente.chr_disponibilidad%}
                                            <option value="{{disponibble}}" selected="selected">{{disponibble}}</option>
                                        {%else%}
                                            <option value="{{disponibble}}">{{disponibble}}</option>
                                        {%endif%}
                                    {% endfor %}
                                {% endif %}
                            </select>  
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtFechaDeIngreso">Fecha de ingreso</label></font>
                            <input class="form-control" min="2010-01-01" max="2019-12-31"  type="date" id="inputTxtFechaDeIngreso" name="inputTxtFechaDeIngreso" required="required" value="{{ objDocente.chr_fecha_ingreso}}"/>
                        </div> 
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                        </div>
                        <div class="form-group col-md-2">
                        </div> 
                        <div class="form-group col-md-3">
                        </div> 
                        <div class="form-group col-md-1">
                            <button class="btn btn-dark" onclick="openModal();
                                    return false;" type="btn" name="btncuros" id="btncuros"><i class="fa fa-plus"></i> Añadir Cursos</button>
                        </div> 
                    </div>
                    <div class="row">
                        <div class="col-12" id="divTableListSolicitudes">
                            {% include('partials/table_cursos.html.twig')  with {'items':cursos_director} %}            
                        </div>
                    </div>
                    {#      <div class="form-row">
                              <div class="form-group col-md-6">
                                  <font size='3'> <strong><label for="inputTipoSolicitud">Tipo de solicitud</label></strong></font>
                                  <select onchange="EditarBotondeEnviar(this);"   id="inputTipoSolicitud" name="inputTipoSolicitud" class="form-control">
                                      <option  value="">[ Seleccione el tipo de solicitud ]</option>
                                      <option  value="2" >Cambios en malla de un programa</option>
                                      <option  value="1" >Cambios en cursos masivos</option>
                                  </select>  
                              </div>
                          </div>#}
                    <br>
                    <div class="form-group">
                        <div class="form-group text-right">
                            <a class="btn btn-primary" href="{{url_home}}" role="button"><i class="fa fa-home"></i> Página inicial</a>
                            <a class="btn btn-danger" href="{{url_backto}}" role="button"><i class="fa fa-arrow-left"></i> Volver</a>
                            <input type="hidden" id="docenteid" name="docenteid" value="{{ objDocente.id }}" />
                            <button class="btn btn-secondary" type="submit" name="btnGuardar" id="btnGuardar"><i class="fa fa-save"></i> Guardar</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>        
    </div>
{%endif%}
<div id="spinner"></div>
{% include('partials/modal.html.twig')  with {'items':cursos} %}
{% include('partials/mensaje.html.twig')  with {'mensaje':mensaje} %}